using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_NeiRong_ShiPin_CheDiShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("彻底删除视频", "网站后台", "彻底删除视频", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("44");

        String[] IDS = Request.QueryString["ID"].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

        for (int i = 0; i < IDS.Length; i++)
            删除视频(Convert.ToInt32(IDS[i]));
        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("彻底删除视频", 访问.用户["昵称"].ToString());

        Response.Redirect(Request.QueryString["rurl"]);
    }

    private void 删除视频(int ID)
    {
        String 视频图片, 视频文件;
        SqlCommand 语句 = new SqlCommand("SELECT [视频图片],[视频文件] FROM [" + 程序.数据表前缀 + "内容_视频_视频] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            视频图片 = Convert.ToString(读取["视频图片"]);
            视频文件 = Convert.ToString(读取["视频文件"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            return;
        }

        String[] 图片数组 = 视频图片.Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        for (int i = 0; i < 图片数组.Length; i++)
            if (File.Exists(Server.MapPath(图片数组[i])))
                File.Delete(Server.MapPath(图片数组[i]));

        String[] 文件数组 = 视频文件.Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);
        for (int i = 0; i < 文件数组.Length; i++)
            if (File.Exists(Server.MapPath(文件数组[i])))
                File.Delete(Server.MapPath(文件数组[i]));

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_评论] WHERE [内容类型]='视频' AND [内容ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_视频_视频] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
    }
}
